Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 2892193002: Add unittest to test CWVWebView. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months ago by michaeldo
Modified:
1 month, 4 weeks ago
Reviewers:
gab, Eugene But, mmenke
CC:
chromium-reviews, Eugene But, ios-reviews+web_chromium.org, ios-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Add unittest target to test CWVWebView. Add test which validates CWVWebView's canGoBack and canGoForward KVO properties. BUG=719990 Review-Url: https://codereview.chromium.org/2892193002 Cr-Commit-Position: refs/heads/master@{#474350} Committed: https://chromium.googlesource.com/chromium/src/+/8ffc03d37d7e7f39ead0994db70dcf0b91fffb4f

Patch Set 1 #

Total comments: 41

Patch Set 2 : Respond to comments. #

Total comments: 24

Patch Set 3 : Respond to comments. #

Total comments: 8

Patch Set 4 : Respond to comments. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+450 lines, -0 lines) Patch
M ios/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
A ios/web_view/test/BUILD.gn View 1 1 chunk +43 lines, -0 lines 0 comments Download
A ios/web_view/test/DEPS View 1 chunk +6 lines, -0 lines 0 comments Download
A ios/web_view/test/boolean_observer.h View 1 2 1 chunk +35 lines, -0 lines 0 comments Download
A ios/web_view/test/boolean_observer.mm View 1 2 3 1 chunk +46 lines, -0 lines 0 comments Download
A ios/web_view/test/chrome_web_view_kvo_inttest.mm View 1 2 3 1 chunk +96 lines, -0 lines 0 comments Download
A ios/web_view/test/chrome_web_view_test.h View 1 2 3 1 chunk +58 lines, -0 lines 0 comments Download
A ios/web_view/test/chrome_web_view_test.mm View 1 2 3 1 chunk +98 lines, -0 lines 0 comments Download
A ios/web_view/test/web_view_interaction_test_util.h View 1 2 1 chunk +21 lines, -0 lines 0 comments Download
A ios/web_view/test/web_view_interaction_test_util.mm View 1 1 chunk +46 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 18 (6 generated)
michaeldo
mmenke@ for DEPS on //net gab@ for DEPS on //base eugenebut@ for overall review
2 months ago (2017-05-19 17:54:39 UTC) #2
Eugene But
Thanks you for the tests! https://codereview.chromium.org/2892193002/diff/1/ios/web_view/test/boolean_observer.h File ios/web_view/test/boolean_observer.h (right): https://codereview.chromium.org/2892193002/diff/1/ios/web_view/test/boolean_observer.h#newcode10 ios/web_view/test/boolean_observer.h:10: // Class to observe ...
2 months ago (2017-05-19 18:39:49 UTC) #3
mmenke
LGTM, just a couple suggestions. https://codereview.chromium.org/2892193002/diff/1/ios/web_view/test/test_server.cc File ios/web_view/test/test_server.cc (right): https://codereview.chromium.org/2892193002/diff/1/ios/web_view/test/test_server.cc#newcode20 ios/web_view/test/test_server.cc:20: std::unique_ptr<net::EmbeddedTestServer> g_test_server; Per style ...
2 months ago (2017-05-19 18:57:16 UTC) #4
gab
//base DEPS r-s lgtm
2 months ago (2017-05-19 20:28:11 UTC) #5
michaeldo
https://codereview.chromium.org/2892193002/diff/1/ios/web_view/test/boolean_observer.h File ios/web_view/test/boolean_observer.h (right): https://codereview.chromium.org/2892193002/diff/1/ios/web_view/test/boolean_observer.h#newcode10 ios/web_view/test/boolean_observer.h:10: // Class to observe a boolean KVO compliant property. ...
2 months ago (2017-05-23 16:20:52 UTC) #6
Eugene But
I like your helpers. But we have completely different helpers for all other tests and ...
2 months ago (2017-05-23 19:49:34 UTC) #8
mmenke
chrome_web_view_test.mm LGTM. A pair of optional comments. https://codereview.chromium.org/2892193002/diff/10001/ios/web_view/test/chrome_web_view_test.mm File ios/web_view/test/chrome_web_view_test.mm (right): https://codereview.chromium.org/2892193002/diff/10001/ios/web_view/test/chrome_web_view_test.mm#newcode49 ios/web_view/test/chrome_web_view_test.mm:49: return base::MakeUnique<net::test_server::BasicHttpResponse>(); ...
2 months ago (2017-05-23 20:48:27 UTC) #9
michaeldo
That is certainly a valid concern. I will talk with them about this test code. ...
1 month, 4 weeks ago (2017-05-24 15:02:35 UTC) #10
Eugene But
lgtm https://codereview.chromium.org/2892193002/diff/10001/ios/web_view/test/boolean_observer.mm File ios/web_view/test/boolean_observer.mm (right): https://codereview.chromium.org/2892193002/diff/10001/ios/web_view/test/boolean_observer.mm#newcode25 ios/web_view/test/boolean_observer.mm:25: if (keyPath) { On 2017/05/24 15:02:34, michaeldo wrote: ...
1 month, 4 weeks ago (2017-05-24 15:32:14 UTC) #11
michaeldo
https://codereview.chromium.org/2892193002/diff/30001/ios/web_view/test/boolean_observer.mm File ios/web_view/test/boolean_observer.mm (right): https://codereview.chromium.org/2892193002/diff/30001/ios/web_view/test/boolean_observer.mm#newcode35 ios/web_view/test/boolean_observer.mm:35: if (object != _object || keyPath != _keyPath) { ...
1 month, 4 weeks ago (2017-05-24 16:37:09 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2892193002/50001
1 month, 4 weeks ago (2017-05-24 16:38:31 UTC) #15
commit-bot: I haz the power
1 month, 4 weeks ago (2017-05-24 17:58:37 UTC) #18
Message was sent while issue was closed.
Committed patchset #4 (id:50001) as
https://chromium.googlesource.com/chromium/src/+/8ffc03d37d7e7f39ead0994db70d...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973